nxt.http

## Class CurrencyReserveIncrease

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.CreateTransaction
    - - nxt.http.CurrencyReserveIncrease

-     public final class CurrencyReserveIncrease
      extends CreateTransaction

  Increase the value of currency units by paying coin

  Parameters

  - currency - currency id
  - amountPerUnitNQT - the NQT amount invested into increasing the value of a single whole currency unit.
    This value is multiplied by the currency total supply and the result is deducted from the sender's account balance.

  Constraints

  This API is allowed only when the currency is `CurrencyType.RESERVABLE` and is not yet active.

  The sender account is registered as a founder. Once the currency becomes active the total supply is distributed between the founders based on their proportional investment
  The list of founders and their NQT investment can be obtained using the `GetCurrencyFounders` API.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.http.CreateTransaction

      `CreateTransaction.CreateTransactionParameters`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.json.simple.JSONStreamAware` | `processRequest(javax.servlet.http.HttpServletRequest req)`

    - ### Methods inherited from class nxt.http.CreateTransaction

      `allowRequiredBlockParameters, createTransaction, getCommonParameters, isChainSpecific, requirePost, transactionParameters`

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isIgnisOnly, isPassword, isTextArea, processRequest, requireBlockchain, requireFullClient, requirePassword, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### processRequest

          protected org.json.simple.JSONStreamAware processRequest(javax.servlet.http.HttpServletRequest req)
                                                            throws NxtException

      Specified by:
        `processRequest` in class `APIServlet.APIRequestHandler`
      Throws:
        `NxtException`